%define pkgname gtk-theme-switch
%define version 2.0.0
%define gtk_ver 2
%define name   	%{pkgname}%{gtk_ver}
%define pre     rc2
%define release 0.%{pre}.2mdk


Summary: 	Switch GTK2 themes on the fly.
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{pkgname}-%{version}%{pre}.tar.bz2
Patch1:         gtk2ts.patch.bz2
URL: 		http://www.muhri.net/nav.php3?node=gts
License: 	GPL
Group: 		Graphical desktop/GNOME
BuildRoot:      %{_builddir}/%{name}-buildroot
BuildRequires: 	libgtk+-x11-2.0_0-devel


%description
This program allows you to preview and switch GTK2 themes. gtk-theme-switch is
designed to be usable and flexible from both the shell prompt and X-Windows
display. Please see the manual page or run the switch2 executable with the
-help option for information on the allowed command line options.

NOTE: The binary is just called "switch2".


%prep
%setup -n %{pkgname}-%{version}%{pre}
%patch1

%build
%make
%install
install -d $RPM_BUILD_ROOT/usr
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/share/man/man1
install -d $RPM_BUILD_ROOT/usr/lib/menu
install switch2 $RPM_BUILD_ROOT/usr/bin
install switch.1 $RPM_BUILD_ROOT/usr/share/man/man1/gtk2-theme-switch.1

# menu
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="switch2" icon="other_configuration.png" needs="X11" section="Configuration/Other" title="GTK2 Theme Switch" longtitle="Change GTK2 Theme"
EOF


%post 
%{update_menus}


%postun 
%{clean_menus}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc readme todo ChangeLog
%{_bindir}/switch2
%{_mandir}/man1/*
%{_menudir}/*

%changelog
* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 2.0.0-0.rc2.2mdk
- rebuild

* Sun Dec 1 2002 Laurent Culioli <laurent@pschit.net> 2.0.0-0.rc2.1mdk
- initial package
